Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp
Interface DeploymentCustomization

public interface DeploymentCustomization

PUBLIC This interface can be used to get access to the TopLink Session at EJB deployment time. If a DeploymentCustomization class is specified in the deployment properties of the bean, a new instance of this class will be created and the methods beforeLoginCustomization and afterLoginCustomization will be invoked with the TopLink Session as a parameter.

Method Summary
`java.lang.String` | `afterLoginCustomization(Session session)` PUBLIC This method is invoked on the instance of a class implementing the DeploymentCustomization interface after logging in to the WebLogic connection pool.
`java.lang.String` | `beforeLoginCustomization(Session session)` PUBLIC This method is invoked on the instance of a class implementing the DeploymentCustomization interface prior to logging in to the WebLogic connection pool.

Method Detail

### beforeLoginCustomization

    public java.lang.String beforeLoginCustomization(Session session)
                                              throws java.lang.Exception

  PUBLIC This method is invoked on the instance of a class implementing the DeploymentCustomization interface prior to logging in to the WebLogic connection pool. This provides the opportunity to add customizations to the Session, or to any of its associated components (Project, Login).
  Parameters:
    `session` - the instance of oracle.toplink.publicinterface.Session that manages the persistence for the beans of the TopLink project
  Returns:
    A String that gets printed to System.out upon returning to the caller
  Throws:
    `java.lang.Exception`

### afterLoginCustomization

    public java.lang.String afterLoginCustomization(Session session)
                                             throws java.lang.Exception

  PUBLIC This method is invoked on the instance of a class implementing the DeploymentCustomization interface after logging in to the WebLogic connection pool. This provides the opportunity to add customizations to the Session, or to any of its associated components (Project, Login).
  Parameters:
    `session` - the instance of oracle.toplink.publicinterface.Session that manages the persistence for the beans of the TopLink project
  Returns:
    A String that gets printed to System.out upon returning to the caller
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD